System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Protocols.MimeFormatter

and other classes in the namespace support the .NET Framework's implementations of Web services via the HTTP-GET and HTTP-POST operations. Web service writers and readers serialize and deserialize, respectively, between the parameters or return objects of Web methods and the HTTP request or response streams. Web service writers and readers use HTTP for transport but don't exchange messages using the SOAP standard.

The class establishes a common interface for all client-side reading of HTTP response streams into Web method return values.

You typically will not need touse or its descendant classes directly. Instead, when the Wsdl.exe tool generates client proxy code according to the HTTP-GET or HTTP-POST implementations, it applies the to each Web method and sets the attribute's property to the class, which is derived from .

Provides a common base implementation for readers of incoming response return values for Web service clients implemented using HTTP but without SOAP.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` `` To be added

  When overridden in a derived class, deserializes an HTTP response into a Web method return value.

  An HTTP response deserialized into a Web method return value.

  A object containing the output message for an operation. A whose content is the body of the HTTP response represented by the parameter. 1.0.5000.0 2.0.0.0